services:
  etcd:
    # image: registry.cern.ch/docker.io/bitnami/etcd:3.4.21-debian-11-r13
    image: registry.cern.ch/docker.io/bitnami/etcd:3.5.12
    container_name: etcd
    restart: unless-stopped
    environment:
      - ALLOW_NONE_AUTHENTICATION=yes
    ports:
      - 2379:2379
      - 2380:2380
    tty: true
    labels:
      - demi.${STACK}.etcd.description="etcd Key-Value Store"
      - demi.${STACK}.etcd.category="Tools"
      - demi.${STACK}.etcd.host=${HOST}
  service-registry:
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-registry/api:2.2.0
    container_name: registry-api
    command: uvicorn asgi:app --host 0.0.0.0 --port 5000
    restart: unless-stopped
    depends_on:
      - etcd
    tty: true
    extra_hosts:
      - host.docker.internal:host-gateway
    ports:
      - 5004:5000
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    labels:
      - demi.${STACK}.service-registry.api.host=${HOST}
      - demi.${STACK}.service-registry.api.category="Microservice API"
      - demi.${STACK}.service-registry.api.url_prefix=/api
      - demi.${STACK}.service-registry.api.url_postfix=/docs
      - demi.${STACK}.service-registry.api.health=/health
      - demi.${STACK}.service-registry.api.description="Service Registry"
      - demi.${STACK}.service-registry.api.protocol=http
      - demi.${STACK}.service-registry.api.api_name=registry
      - wud.tag.include=^\d+\.\d+\.\d+$$
  dashboard:
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-dashboard/ui:1.0.1
    container_name: dashboard-ui
    restart: unless-stopped
    volumes:
      - ${DOCKER_DIR}/extraFiles:/usr/src/app/public/extraFiles
    ports:
      - 80:80
    environment:
      - ETCD_HOST=${HOST}
      - ETCD_PORT=2379
      - ETCD_NAMESPACE=demi
    labels:
      - demi.${STACK}.etcd.description="DeMi Dashboard"
      - demi.${STACK}.etcd.category="Microservice UI"
      - demi.${STACK}.etcd.host=${HOST}
      - wud.tag.include=^\d+\.\d+\.\d+$$
networks:
  default:
    name: deminet
    external: true
